-- Version: Designer v5.0 5.0.0.14
-- File used only for Simulation

library ieee;
use ieee.std_logic_1164.all;
library Axcelerator;

entity Top_Level is

    port(Mem_data : out std_logic_vector(7 downto 0); DATA_IN, 
        RST, CLK1, CLK2, CLK3, CLK4, PLLa_PWRDN, PLLb_PWRDN, 
        PLLc_PWRDN, PLLd_PWRDN : in std_logic; Rd_enable, 
        LOCK_PLLa, LOCK_PLLb, LOCK_PLLc, LOCK_PLLd : out
         std_logic);

end Top_Level;

architecture DEF_ARCH of Top_Level is 

  component IOPAD_IN
    port(PAD : in std_logic := 'U'; Y : out std_logic);
  end component;

  component PLL
    port(PWRDWN, REFCLK, LOWFREQ, OSC2, OSC1, OSC0, DIVI5, DIVI4, 
        DIVI3, DIVI2, DIVI1, DIVI0, DIVJ5, DIVJ4, DIVJ3, DIVJ2, 
        DIVJ1, DIVJ0, DELAYLINE4, DELAYLINE3, DELAYLINE2, 
        DELAYLINE1, DELAYLINE0 : in std_logic := 'U'; LOCK, CLK1, 
        CLK2 : out std_logic);
  end component;

  component IOFIFO_OUTBUF
    port(A : in std_logic := 'U'; Y : out std_logic);
  end component;

  component IOPAD_TRI
    port(D, E : in std_logic := 'U'; PAD : out std_logic);
  end component;

  component IOOE_BUFF
    port(A : in std_logic := 'U'; Y : out std_logic);
  end component;

  component RCLKMUX
    port(A : in std_logic := 'U'; Y : out std_logic);
  end component;

  component DFEG
    port(D, CLK, CLR, PRE, E : in std_logic := 'U'; Q : out
         std_logic);
  end component;

  component IOI_BUFF
    port(A : in std_logic := 'U'; Y : out std_logic);
  end component;

  component DFEH
    port(D, CLK, CLR, PRE, E : in std_logic := 'U'; Q : out
         std_logic);
  end component;

  component IOFIFO_INBUF
    port(A : in std_logic := 'U'; Y : out std_logic);
  end component;

  component BUFF
    port(A : in std_logic := 'U'; Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic); 
  end component;

  component VCC
    port(Y : out std_logic); 
  end component;

    signal clka, clkb, clkc, clkd, GNDZ0, dataaZ0, databZ0, 
        datacZ0, datadZ0, dataeZ0, datafZ0, datagZ0, datahZ0, 
        dataabcdZ0Z_0, dataabcdZ0Z_1, dataabcdZ0Z_2, 
        dataabcdZ0Z_3, dataefghZ0Z_0, dataefghZ0Z_1, 
        dataefghZ0Z_2, dataefghZ0Z_3, DATA_IN_c, RST_c, 
        Mem_data_c_0, Mem_data_c_1, Mem_data_c_2, Mem_data_c_3, 
        Mem_data_c_4, Mem_data_c_5, Mem_data_c_6, Mem_data_c_7, 
        RST_c_0, RST_c_1, \RST_pad/U0/NET1\, \RST_pad/U0/NET2\, 
        \LOCK_PLLc_pad/U0/NET1\, \LOCK_PLLc_pad/U0/NET2\, 
        \LOCK_PLLc_pad/U0/NET3\, \PLLd_PWRDN_pad/U0/NET1\, 
        \PLLd_PWRDN_pad/U0/NET2\, \Mem_data_pad_6/U0/NET1\, 
        \Mem_data_pad_6/U0/NET2\, \Mem_data_pad_6/U0/NET3\, 
        \Mem_data_pad_2/U0/NET1\, \Mem_data_pad_2/U0/NET2\, 
        \Mem_data_pad_2/U0/NET3\, \Mem_data_pad_1/U0/NET1\, 
        \Mem_data_pad_1/U0/NET2\, \Mem_data_pad_1/U0/NET3\, 
        \LOCK_PLLa_pad/U0/NET1\, \LOCK_PLLa_pad/U0/NET2\, 
        \LOCK_PLLa_pad/U0/NET3\, \PLLb_PWRDN_pad/U0/NET1\, 
        \PLLb_PWRDN_pad/U0/NET2\, \Mem_data_pad_0/U0/NET1\, 
        \Mem_data_pad_0/U0/NET2\, \Mem_data_pad_0/U0/NET3\, 
        \DATA_IN_pad/U0/NET1\, \DATA_IN_pad/U0/NET2\, 
        \Mem_data_pad_5/U0/NET1\, \Mem_data_pad_5/U0/NET2\, 
        \Mem_data_pad_5/U0/NET3\, \Mem_data_pad_4/U0/NET1\, 
        \Mem_data_pad_4/U0/NET2\, \Mem_data_pad_4/U0/NET3\, 
        \Mem_data_pad_3/U0/NET1\, \Mem_data_pad_3/U0/NET2\, 
        \Mem_data_pad_3/U0/NET3\, \PLLc_PWRDN_pad/U0/NET1\, 
        \PLLc_PWRDN_pad/U0/NET2\, \PLLa_PWRDN_pad/U0/NET1\, 
        \PLLa_PWRDN_pad/U0/NET2\, \LOCK_PLLd_pad/U0/NET1\, 
        \LOCK_PLLd_pad/U0/NET2\, \LOCK_PLLd_pad/U0/NET3\, 
        \Rd_enable_pad/U0/NET1\, \Rd_enable_pad/U0/NET2\, 
        \Rd_enable_pad/U0/NET3\, \LOCK_PLLb_pad/U0/NET1\, 
        \LOCK_PLLb_pad/U0/NET2\, \LOCK_PLLb_pad/U0/NET3\, 
        \Mem_data_pad_7/U0/NET1\, \Mem_data_pad_7/U0/NET2\, 
        \Mem_data_pad_7/U0/NET3\, \VCC\, \GND\, PLLa_PWRDN_c, 
        \CK1/U0/NET1\, \PLL1/VCCZ0\, \PLL1/GNDZ0\, LOCK_PLLa_c, 
        \PLL1/PLL1_clk1p\, PLL_FLOAT_NET4, PLLd_PWRDN_c, 
        \CK4/U0/NET1\, \PLL4/GNDZ0\, \PLL4/VCCZ0\, LOCK_PLLd_c, 
        \PLL4/PLL4_clk1p\, PLL_FLOAT_NET3, PLLc_PWRDN_c, 
        \CK3/U0/NET1\, \PLL3/VCCZ0\, \PLL3/GNDZ0\, LOCK_PLLc_c, 
        \PLL3/PLL3_clk1p\, PLL_FLOAT_NET1, PLLb_PWRDN_c, 
        \CK2/U0/NET1\, \PLL2/GNDZ0\, \PLL2/VCCZ0\, LOCK_PLLb_c, 
        \PLL2/PLL2_clk1p\, PLL_FLOAT_NET2 : std_logic;
    signal GND_power_net1 : std_logic;
    signal VCC_power_net1 : std_logic;

begin 

    \PLL2/GNDZ0\ <= GND_power_net1;
    \PLL3/GNDZ0\ <= GND_power_net1;
    GNDZ0 <= GND_power_net1;
    \PLL4/GNDZ0\ <= GND_power_net1;
    \PLL1/GNDZ0\ <= GND_power_net1;
    \GND\ <= GND_power_net1;
    \PLL2/VCCZ0\ <= VCC_power_net1;
    \PLL3/VCCZ0\ <= VCC_power_net1;
    \PLL4/VCCZ0\ <= VCC_power_net1;
    \VCC\ <= VCC_power_net1;
    \PLL1/VCCZ0\ <= VCC_power_net1;

    \RST_pad/U0/U0\ : IOPAD_IN
      port map(PAD => RST, Y => \RST_pad/U0/NET1\);
    
    \PLL1/PLL_INT\ : PLL
      port map(PWRDWN => PLLa_PWRDN_c, REFCLK => \CK1/U0/NET1\, 
        LOWFREQ => \PLL1/GNDZ0\, OSC2 => \PLL1/GNDZ0\, OSC1 => 
        \PLL1/GNDZ0\, OSC0 => \PLL1/GNDZ0\, DIVI5 => \PLL1/GNDZ0\, 
        DIVI4 => \PLL1/GNDZ0\, DIVI3 => \PLL1/GNDZ0\, DIVI2 => 
        \PLL1/VCCZ0\, DIVI1 => \PLL1/GNDZ0\, DIVI0 => 
        \PLL1/GNDZ0\, DIVJ5 => \PLL1/GNDZ0\, DIVJ4 => 
        \PLL1/GNDZ0\, DIVJ3 => \PLL1/GNDZ0\, DIVJ2 => 
        \PLL1/GNDZ0\, DIVJ1 => \PLL1/GNDZ0\, DIVJ0 => 
        \PLL1/GNDZ0\, DELAYLINE4 => \PLL1/GNDZ0\, DELAYLINE3 => 
        \PLL1/GNDZ0\, DELAYLINE2 => \PLL1/GNDZ0\, DELAYLINE1 => 
        \PLL1/GNDZ0\, DELAYLINE0 => \PLL1/GNDZ0\, LOCK => 
        LOCK_PLLa_c, CLK1 => \PLL1/PLL1_clk1p\, CLK2 => 
        PLL_FLOAT_NET4);
    
    \LOCK_PLLd_pad/U0/U1\ : IOFIFO_OUTBUF
      port map(A => \LOCK_PLLd_pad/U0/NET3\, Y => 
        \LOCK_PLLd_pad/U0/NET1\);
    
    \Mem_data_pad_6/U0/U0\ : IOPAD_TRI
      port map(D => \Mem_data_pad_6/U0/NET1\, E => 
        \Mem_data_pad_6/U0/NET2\, PAD => Mem_data(6));
    
    \Mem_data_pad_3/U0/U3\ : IOOE_BUFF
      port map(A => Mem_data_c_3, Y => \Mem_data_pad_3/U0/NET3\);
    
    \Mem_data_pad_1/U0/U4\ : IOOE_BUFF
      port map(A => \VCC\, Y => \Mem_data_pad_1/U0/NET2\);
    
    \Mem_data_pad_0/U0/U4\ : IOOE_BUFF
      port map(A => \VCC\, Y => \Mem_data_pad_0/U0/NET2\);
    
    \PLL4/PLLRCLK1/U0\ : RCLKMUX
      port map(A => \PLL4/PLL4_clk1p\, Y => clkd);
    
    \Mem_data_pad_4/U0/U3\ : IOOE_BUFF
      port map(A => Mem_data_c_4, Y => \Mem_data_pad_4/U0/NET3\);
    
    \Mem_data_pad_6/U0/U3\ : IOOE_BUFF
      port map(A => Mem_data_c_6, Y => \Mem_data_pad_6/U0/NET3\);
    
    \Mem_data_pad_5/U0/U1\ : IOFIFO_OUTBUF
      port map(A => \Mem_data_pad_5/U0/NET3\, Y => 
        \Mem_data_pad_5/U0/NET1\);
    
    \Mem_data_pad_1/U0/U1\ : IOFIFO_OUTBUF
      port map(A => \Mem_data_pad_1/U0/NET3\, Y => 
        \Mem_data_pad_1/U0/NET1\);
    
    \dataabcd_0/U0\ : DFEG
      port map(D => datadZ0, CLK => clka, CLR => RST_c_1, PRE => 
        \VCC\, E => \GND\, Q => dataabcdZ0Z_0);
    
    \PLLa_PWRDN_pad/U0/U0\ : IOPAD_IN
      port map(PAD => PLLa_PWRDN, Y => \PLLa_PWRDN_pad/U0/NET1\);
    
    \LOCK_PLLa_pad/U0/U3\ : IOOE_BUFF
      port map(A => LOCK_PLLa_c, Y => \LOCK_PLLa_pad/U0/NET3\);
    
    \PLL4/PLL_INT\ : PLL
      port map(PWRDWN => PLLd_PWRDN_c, REFCLK => \CK4/U0/NET1\, 
        LOWFREQ => \PLL4/GNDZ0\, OSC2 => \PLL4/GNDZ0\, OSC1 => 
        \PLL4/GNDZ0\, OSC0 => \PLL4/GNDZ0\, DIVI5 => \PLL4/GNDZ0\, 
        DIVI4 => \PLL4/GNDZ0\, DIVI3 => \PLL4/GNDZ0\, DIVI2 => 
        \PLL4/VCCZ0\, DIVI1 => \PLL4/GNDZ0\, DIVI0 => 
        \PLL4/GNDZ0\, DIVJ5 => \PLL4/GNDZ0\, DIVJ4 => 
        \PLL4/GNDZ0\, DIVJ3 => \PLL4/GNDZ0\, DIVJ2 => 
        \PLL4/GNDZ0\, DIVJ1 => \PLL4/GNDZ0\, DIVJ0 => 
        \PLL4/GNDZ0\, DELAYLINE4 => \PLL4/GNDZ0\, DELAYLINE3 => 
        \PLL4/GNDZ0\, DELAYLINE2 => \PLL4/GNDZ0\, DELAYLINE1 => 
        \PLL4/VCCZ0\, DELAYLINE0 => \PLL4/VCCZ0\, LOCK => 
        LOCK_PLLd_c, CLK1 => \PLL4/PLL4_clk1p\, CLK2 => 
        PLL_FLOAT_NET3);
    
    \Mem_data_pad_2/U0/U3\ : IOOE_BUFF
      port map(A => Mem_data_c_2, Y => \Mem_data_pad_2/U0/NET3\);
    
    \PLLc_PWRDN_pad/U0/U2\ : IOI_BUFF
      port map(A => \PLLc_PWRDN_pad/U0/NET2\, Y => PLLc_PWRDN_c);
    
    \Rd_enable_pad/U0/U4\ : IOOE_BUFF
      port map(A => \VCC\, Y => \Rd_enable_pad/U0/NET2\);
    
    \LOCK_PLLd_pad/U0/U4\ : IOOE_BUFF
      port map(A => \VCC\, Y => \LOCK_PLLd_pad/U0/NET2\);
    
    \dataefgh_3/U0\ : DFEH
      port map(D => dataeZ0, CLK => clka, CLR => RST_c, PRE => 
        \VCC\, E => \GND\, Q => dataefghZ0Z_3);
    
    \PLL3/PLLRCLK1/U0\ : RCLKMUX
      port map(A => \PLL3/PLL3_clk1p\, Y => clkc);
    
    \Mem_data_pad_7/U0/U0\ : IOPAD_TRI
      port map(D => \Mem_data_pad_7/U0/NET1\, E => 
        \Mem_data_pad_7/U0/NET2\, PAD => Mem_data(7));
    
    \Mem_data_pad_7/U0/U4\ : IOOE_BUFF
      port map(A => \VCC\, Y => \Mem_data_pad_7/U0/NET2\);
    
    \PLLd_PWRDN_pad/U0/U2\ : IOI_BUFF
      port map(A => \PLLd_PWRDN_pad/U0/NET2\, Y => PLLd_PWRDN_c);
    
    \RST_pad/U0/U1\ : IOFIFO_INBUF
      port map(A => \RST_pad/U0/NET1\, Y => \RST_pad/U0/NET2\);
    
    \Mem_data_pad_0/U0/U3\ : IOOE_BUFF
      port map(A => Mem_data_c_0, Y => \Mem_data_pad_0/U0/NET3\);
    
    \Mem_data_pad_7/U0/U3\ : IOOE_BUFF
      port map(A => Mem_data_c_7, Y => \Mem_data_pad_7/U0/NET3\);
    
    \Mem_dataZ0Z_4/U0\ : DFEG
      port map(D => dataabcdZ0Z_0, CLK => clka, CLR => RST_c_0, 
        PRE => \VCC\, E => \GND\, Q => Mem_data_c_4);
    
    \DATA_IN_pad/U0/U1\ : IOFIFO_INBUF
      port map(A => \DATA_IN_pad/U0/NET1\, Y => 
        \DATA_IN_pad/U0/NET2\);
    
    \dataefgh_0/U0\ : DFEH
      port map(D => datahZ0, CLK => clka, CLR => RST_c, PRE => 
        \VCC\, E => \GND\, Q => dataefghZ0Z_0);
    
    \datae/U0\ : DFEH
      port map(D => DATA_IN_c, CLK => clka, CLR => RST_c, PRE => 
        \VCC\, E => \GND\, Q => dataeZ0);
    
    \Mem_data_pad_3/U0/U4\ : IOOE_BUFF
      port map(A => \VCC\, Y => \Mem_data_pad_3/U0/NET2\);
    
    \LOCK_PLLb_pad/U0/U4\ : IOOE_BUFF
      port map(A => \VCC\, Y => \LOCK_PLLb_pad/U0/NET2\);
    
    \LOCK_PLLc_pad/U0/U1\ : IOFIFO_OUTBUF
      port map(A => \LOCK_PLLc_pad/U0/NET3\, Y => 
        \LOCK_PLLc_pad/U0/NET1\);
    
    \datab/U0\ : DFEG
      port map(D => DATA_IN_c, CLK => clkb, CLR => RST_c_1, PRE
         => \VCC\, E => \GND\, Q => databZ0);
    
    \PLLa_PWRDN_pad/U0/U2\ : IOI_BUFF
      port map(A => \PLLa_PWRDN_pad/U0/NET2\, Y => PLLa_PWRDN_c);
    
    \PLLd_PWRDN_pad/U0/U1\ : IOFIFO_INBUF
      port map(A => \PLLd_PWRDN_pad/U0/NET1\, Y => 
        \PLLd_PWRDN_pad/U0/NET2\);
    
    \dataefgh_2/U0\ : DFEH
      port map(D => datafZ0, CLK => clka, CLR => RST_c, PRE => 
        \VCC\, E => \GND\, Q => dataefghZ0Z_2);
    
    \Mem_dataZ0Z_0/U0\ : DFEG
      port map(D => dataefghZ0Z_0, CLK => clka, CLR => RST_c_0, 
        PRE => \VCC\, E => \GND\, Q => Mem_data_c_0);
    
    \Mem_data_pad_5/U0/U0\ : IOPAD_TRI
      port map(D => \Mem_data_pad_5/U0/NET1\, E => 
        \Mem_data_pad_5/U0/NET2\, PAD => Mem_data(5));
    
    RST_pad_0 : BUFF
      port map(A => RST_c, Y => RST_c_0);
    
    \dataabcd_1/U0\ : DFEG
      port map(D => datacZ0, CLK => clka, CLR => RST_c_1, PRE => 
        \VCC\, E => \GND\, Q => dataabcdZ0Z_1);
    
    \PLLb_PWRDN_pad/U0/U1\ : IOFIFO_INBUF
      port map(A => \PLLb_PWRDN_pad/U0/NET1\, Y => 
        \PLLb_PWRDN_pad/U0/NET2\);
    
    \Mem_data_pad_4/U0/U0\ : IOPAD_TRI
      port map(D => \Mem_data_pad_4/U0/NET1\, E => 
        \Mem_data_pad_4/U0/NET2\, PAD => Mem_data(4));
    
    \LOCK_PLLb_pad/U0/U3\ : IOOE_BUFF
      port map(A => LOCK_PLLb_c, Y => \LOCK_PLLb_pad/U0/NET3\);
    
    \LOCK_PLLd_pad/U0/U0\ : IOPAD_TRI
      port map(D => \LOCK_PLLd_pad/U0/NET1\, E => 
        \LOCK_PLLd_pad/U0/NET2\, PAD => LOCK_PLLd);
    
    \LOCK_PLLa_pad/U0/U1\ : IOFIFO_OUTBUF
      port map(A => \LOCK_PLLa_pad/U0/NET3\, Y => 
        \LOCK_PLLa_pad/U0/NET1\);
    
    \DATA_IN_pad/U0/U2\ : IOI_BUFF
      port map(A => \DATA_IN_pad/U0/NET2\, Y => DATA_IN_c);
    
    \dataf/U0\ : DFEH
      port map(D => DATA_IN_c, CLK => clkb, CLR => RST_c, PRE => 
        \VCC\, E => \GND\, Q => datafZ0);
    
    \datah/U0\ : DFEH
      port map(D => DATA_IN_c, CLK => clkd, CLR => RST_c, PRE => 
        \VCC\, E => \GND\, Q => datahZ0);
    
    \dataa/U0\ : DFEG
      port map(D => DATA_IN_c, CLK => clka, CLR => RST_c_1, PRE
         => \VCC\, E => \GND\, Q => dataaZ0);
    
    \PLLc_PWRDN_pad/U0/U1\ : IOFIFO_INBUF
      port map(A => \PLLc_PWRDN_pad/U0/NET1\, Y => 
        \PLLc_PWRDN_pad/U0/NET2\);
    
    \LOCK_PLLc_pad/U0/U3\ : IOOE_BUFF
      port map(A => LOCK_PLLc_c, Y => \LOCK_PLLc_pad/U0/NET3\);
    
    \PLLa_PWRDN_pad/U0/U1\ : IOFIFO_INBUF
      port map(A => \PLLa_PWRDN_pad/U0/NET1\, Y => 
        \PLLa_PWRDN_pad/U0/NET2\);
    
    \Mem_data_pad_3/U0/U1\ : IOFIFO_OUTBUF
      port map(A => \Mem_data_pad_3/U0/NET3\, Y => 
        \Mem_data_pad_3/U0/NET1\);
    
    \LOCK_PLLa_pad/U0/U4\ : IOOE_BUFF
      port map(A => \VCC\, Y => \LOCK_PLLa_pad/U0/NET2\);
    
    \CK2/U0/U0\ : IOPAD_IN
      port map(PAD => CLK2, Y => \CK2/U0/NET1\);
    
    \Mem_data_pad_6/U0/U4\ : IOOE_BUFF
      port map(A => \VCC\, Y => \Mem_data_pad_6/U0/NET2\);
    
    \Mem_data_pad_2/U0/U0\ : IOPAD_TRI
      port map(D => \Mem_data_pad_2/U0/NET1\, E => 
        \Mem_data_pad_2/U0/NET2\, PAD => Mem_data(2));
    
    \LOCK_PLLd_pad/U0/U3\ : IOOE_BUFF
      port map(A => LOCK_PLLd_c, Y => \LOCK_PLLd_pad/U0/NET3\);
    
    \Mem_data_pad_0/U0/U1\ : IOFIFO_OUTBUF
      port map(A => \Mem_data_pad_0/U0/NET3\, Y => 
        \Mem_data_pad_0/U0/NET1\);
    
    \dataefgh_1/U0\ : DFEH
      port map(D => datagZ0, CLK => clka, CLR => RST_c, PRE => 
        \VCC\, E => \GND\, Q => dataefghZ0Z_1);
    
    \dataabcd_2/U0\ : DFEG
      port map(D => databZ0, CLK => clka, CLR => RST_c_1, PRE => 
        \VCC\, E => \GND\, Q => dataabcdZ0Z_2);
    
    \datad/U0\ : DFEG
      port map(D => DATA_IN_c, CLK => clkd, CLR => RST_c_1, PRE
         => \VCC\, E => \GND\, Q => datadZ0);
    
    RST_pad_1 : BUFF
      port map(A => RST_c, Y => RST_c_1);
    
    \Mem_data_pad_4/U0/U1\ : IOFIFO_OUTBUF
      port map(A => \Mem_data_pad_4/U0/NET3\, Y => 
        \Mem_data_pad_4/U0/NET1\);
    
    \LOCK_PLLc_pad/U0/U0\ : IOPAD_TRI
      port map(D => \LOCK_PLLc_pad/U0/NET1\, E => 
        \LOCK_PLLc_pad/U0/NET2\, PAD => LOCK_PLLc);
    
    \DATA_IN_pad/U0/U0\ : IOPAD_IN
      port map(PAD => DATA_IN, Y => \DATA_IN_pad/U0/NET1\);
    
    \PLL3/PLL_INT\ : PLL
      port map(PWRDWN => PLLc_PWRDN_c, REFCLK => \CK3/U0/NET1\, 
        LOWFREQ => \PLL3/GNDZ0\, OSC2 => \PLL3/GNDZ0\, OSC1 => 
        \PLL3/GNDZ0\, OSC0 => \PLL3/GNDZ0\, DIVI5 => \PLL3/GNDZ0\, 
        DIVI4 => \PLL3/GNDZ0\, DIVI3 => \PLL3/GNDZ0\, DIVI2 => 
        \PLL3/VCCZ0\, DIVI1 => \PLL3/GNDZ0\, DIVI0 => 
        \PLL3/GNDZ0\, DIVJ5 => \PLL3/GNDZ0\, DIVJ4 => 
        \PLL3/GNDZ0\, DIVJ3 => \PLL3/GNDZ0\, DIVJ2 => 
        \PLL3/GNDZ0\, DIVJ1 => \PLL3/GNDZ0\, DIVJ0 => 
        \PLL3/GNDZ0\, DELAYLINE4 => \PLL3/GNDZ0\, DELAYLINE3 => 
        \PLL3/GNDZ0\, DELAYLINE2 => \PLL3/GNDZ0\, DELAYLINE1 => 
        \PLL3/VCCZ0\, DELAYLINE0 => \PLL3/GNDZ0\, LOCK => 
        LOCK_PLLc_c, CLK1 => \PLL3/PLL3_clk1p\, CLK2 => 
        PLL_FLOAT_NET1);
    
    \Rd_enable_pad/U0/U1\ : IOFIFO_OUTBUF
      port map(A => \Rd_enable_pad/U0/NET3\, Y => 
        \Rd_enable_pad/U0/NET1\);
    
    \Mem_data_pad_5/U0/U4\ : IOOE_BUFF
      port map(A => \VCC\, Y => \Mem_data_pad_5/U0/NET2\);
    
    \Mem_dataZ0Z_2/U0\ : DFEG
      port map(D => dataefghZ0Z_2, CLK => clka, CLR => RST_c_0, 
        PRE => \VCC\, E => \GND\, Q => Mem_data_c_2);
    
    \Mem_dataZ0Z_1/U0\ : DFEG
      port map(D => dataefghZ0Z_1, CLK => clka, CLR => RST_c_0, 
        PRE => \VCC\, E => \GND\, Q => Mem_data_c_1);
    
    \Mem_data_pad_0/U0/U0\ : IOPAD_TRI
      port map(D => \Mem_data_pad_0/U0/NET1\, E => 
        \Mem_data_pad_0/U0/NET2\, PAD => Mem_data(0));
    
    \Mem_data_pad_3/U0/U0\ : IOPAD_TRI
      port map(D => \Mem_data_pad_3/U0/NET1\, E => 
        \Mem_data_pad_3/U0/NET2\, PAD => Mem_data(3));
    
    \datag/U0\ : DFEH
      port map(D => DATA_IN_c, CLK => clkc, CLR => RST_c, PRE => 
        \VCC\, E => \GND\, Q => datagZ0);
    
    \Rd_enable_pad/U0/U0\ : IOPAD_TRI
      port map(D => \Rd_enable_pad/U0/NET1\, E => 
        \Rd_enable_pad/U0/NET2\, PAD => Rd_enable);
    
    \Mem_data_pad_1/U0/U3\ : IOOE_BUFF
      port map(A => Mem_data_c_1, Y => \Mem_data_pad_1/U0/NET3\);
    
    \Mem_data_pad_2/U0/U1\ : IOFIFO_OUTBUF
      port map(A => \Mem_data_pad_2/U0/NET3\, Y => 
        \Mem_data_pad_2/U0/NET1\);
    
    \Mem_dataZ0Z_3/U0\ : DFEG
      port map(D => dataefghZ0Z_3, CLK => clka, CLR => RST_c_0, 
        PRE => \VCC\, E => \GND\, Q => Mem_data_c_3);
    
    \Mem_data_pad_6/U0/U1\ : IOFIFO_OUTBUF
      port map(A => \Mem_data_pad_6/U0/NET3\, Y => 
        \Mem_data_pad_6/U0/NET1\);
    
    \CK1/U0/U0\ : IOPAD_IN
      port map(PAD => CLK1, Y => \CK1/U0/NET1\);
    
    \Mem_data_pad_5/U0/U3\ : IOOE_BUFF
      port map(A => Mem_data_c_5, Y => \Mem_data_pad_5/U0/NET3\);
    
    \Mem_dataZ0Z_5/U0\ : DFEG
      port map(D => dataabcdZ0Z_1, CLK => clka, CLR => RST_c_0, 
        PRE => \VCC\, E => \GND\, Q => Mem_data_c_5);
    
    \RST_pad/U0/U2\ : IOI_BUFF
      port map(A => \RST_pad/U0/NET2\, Y => RST_c);
    
    \Mem_data_pad_1/U0/U0\ : IOPAD_TRI
      port map(D => \Mem_data_pad_1/U0/NET1\, E => 
        \Mem_data_pad_1/U0/NET2\, PAD => Mem_data(1));
    
    \datac/U0\ : DFEG
      port map(D => DATA_IN_c, CLK => clkc, CLR => RST_c_1, PRE
         => \VCC\, E => \GND\, Q => datacZ0);
    
    \CK4/U0/U0\ : IOPAD_IN
      port map(PAD => CLK4, Y => \CK4/U0/NET1\);
    
    \Mem_dataZ0Z_6/U0\ : DFEG
      port map(D => dataabcdZ0Z_2, CLK => clka, CLR => RST_c_0, 
        PRE => \VCC\, E => \GND\, Q => Mem_data_c_6);
    
    \PLL1/PLLRCLK1/U0\ : RCLKMUX
      port map(A => \PLL1/PLL1_clk1p\, Y => clka);
    
    \Mem_dataZ0Z_7/U0\ : DFEG
      port map(D => dataabcdZ0Z_3, CLK => clka, CLR => RST_c_0, 
        PRE => \VCC\, E => \GND\, Q => Mem_data_c_7);
    
    \Rd_enable_pad/U0/U3\ : IOOE_BUFF
      port map(A => GNDZ0, Y => \Rd_enable_pad/U0/NET3\);
    
    \Mem_data_pad_7/U0/U1\ : IOFIFO_OUTBUF
      port map(A => \Mem_data_pad_7/U0/NET3\, Y => 
        \Mem_data_pad_7/U0/NET1\);
    
    \LOCK_PLLa_pad/U0/U0\ : IOPAD_TRI
      port map(D => \LOCK_PLLa_pad/U0/NET1\, E => 
        \LOCK_PLLa_pad/U0/NET2\, PAD => LOCK_PLLa);
    
    \PLLb_PWRDN_pad/U0/U2\ : IOI_BUFF
      port map(A => \PLLb_PWRDN_pad/U0/NET2\, Y => PLLb_PWRDN_c);
    
    \LOCK_PLLc_pad/U0/U4\ : IOOE_BUFF
      port map(A => \VCC\, Y => \LOCK_PLLc_pad/U0/NET2\);
    
    \PLLd_PWRDN_pad/U0/U0\ : IOPAD_IN
      port map(PAD => PLLd_PWRDN, Y => \PLLd_PWRDN_pad/U0/NET1\);
    
    \PLLc_PWRDN_pad/U0/U0\ : IOPAD_IN
      port map(PAD => PLLc_PWRDN, Y => \PLLc_PWRDN_pad/U0/NET1\);
    
    \PLLb_PWRDN_pad/U0/U0\ : IOPAD_IN
      port map(PAD => PLLb_PWRDN, Y => \PLLb_PWRDN_pad/U0/NET1\);
    
    \PLL2/PLL_INT\ : PLL
      port map(PWRDWN => PLLb_PWRDN_c, REFCLK => \CK2/U0/NET1\, 
        LOWFREQ => \PLL2/GNDZ0\, OSC2 => \PLL2/GNDZ0\, OSC1 => 
        \PLL2/GNDZ0\, OSC0 => \PLL2/GNDZ0\, DIVI5 => \PLL2/GNDZ0\, 
        DIVI4 => \PLL2/GNDZ0\, DIVI3 => \PLL2/GNDZ0\, DIVI2 => 
        \PLL2/VCCZ0\, DIVI1 => \PLL2/GNDZ0\, DIVI0 => 
        \PLL2/GNDZ0\, DIVJ5 => \PLL2/GNDZ0\, DIVJ4 => 
        \PLL2/GNDZ0\, DIVJ3 => \PLL2/GNDZ0\, DIVJ2 => 
        \PLL2/GNDZ0\, DIVJ1 => \PLL2/GNDZ0\, DIVJ0 => 
        \PLL2/GNDZ0\, DELAYLINE4 => \PLL2/GNDZ0\, DELAYLINE3 => 
        \PLL2/GNDZ0\, DELAYLINE2 => \PLL2/GNDZ0\, DELAYLINE1 => 
        \PLL2/GNDZ0\, DELAYLINE0 => \PLL2/VCCZ0\, LOCK => 
        LOCK_PLLb_c, CLK1 => \PLL2/PLL2_clk1p\, CLK2 => 
        PLL_FLOAT_NET2);
    
    \LOCK_PLLb_pad/U0/U1\ : IOFIFO_OUTBUF
      port map(A => \LOCK_PLLb_pad/U0/NET3\, Y => 
        \LOCK_PLLb_pad/U0/NET1\);
    
    \CK3/U0/U0\ : IOPAD_IN
      port map(PAD => CLK3, Y => \CK3/U0/NET1\);
    
    \Mem_data_pad_2/U0/U4\ : IOOE_BUFF
      port map(A => \VCC\, Y => \Mem_data_pad_2/U0/NET2\);
    
    \PLL2/PLLRCLK1/U0\ : RCLKMUX
      port map(A => \PLL2/PLL2_clk1p\, Y => clkb);
    
    \LOCK_PLLb_pad/U0/U0\ : IOPAD_TRI
      port map(D => \LOCK_PLLb_pad/U0/NET1\, E => 
        \LOCK_PLLb_pad/U0/NET2\, PAD => LOCK_PLLb);
    
    \dataabcd_3/U0\ : DFEG
      port map(D => dataaZ0, CLK => clka, CLR => RST_c_1, PRE => 
        \VCC\, E => \GND\, Q => dataabcdZ0Z_3);
    
    \Mem_data_pad_4/U0/U4\ : IOOE_BUFF
      port map(A => \VCC\, Y => \Mem_data_pad_4/U0/NET2\);
    
    GND_power_inst1 : GND
      port map( Y => GND_power_net1);

    VCC_power_inst1 : VCC
      port map( Y => VCC_power_net1);


end DEF_ARCH; 
