-- Version: Designer v5.0 5.0.0.14

library ieee;
use ieee.std_logic_1164.all;
library Axcelerator;

entity pll_c is 
    port(REFCLK, PWRDN : in std_logic;  CLK500, LOCK : out 
        std_logic) ;
end pll_c;


architecture DEF_ARCH of  pll_c is

    component PLLRCLK
        port(A : in std_logic := 'U'; Y : out std_logic) ;
    end component;

    component PLL
        port(PWRDWN, REFCLK, LOWFREQ, OSC2, OSC1, OSC0, DIVI5, 
        DIVI4, DIVI3, DIVI2, DIVI1, DIVI0, DIVJ5, DIVJ4, DIVJ3, 
        DIVJ2, DIVJ1, DIVJ0, DELAYLINE4, DELAYLINE3, DELAYLINE2, 
        DELAYLINE1, DELAYLINE0 : in std_logic := 'U'; LOCK, CLK1, 
        CLK2 : out std_logic) ;
    end component;

    component VCC
        port( Y : out std_logic);
    end component;

    component GND
        port( Y : out std_logic);
    end component;

    signal CLK1P, VCC_1_net, FB, GND_1_net : std_logic ;
    begin   

    GND_1_net <= FB;
    VCC_2_net : VCC port map(Y => VCC_1_net);
    GND_2_net : GND port map(Y => FB);
    PLLRCLK1 : PLLRCLK
   port map(A => CLK1P, Y => CLK500);
    PLL_INT : PLL
   port map(
        PWRDWN => PWRDN, 
        REFCLK => REFCLK, 
        LOWFREQ => GND_1_net, 
        OSC2 => GND_1_net, 
        OSC1 => GND_1_net, 
        OSC0 =>  GND_1_net, 
        DIVI5 => GND_1_net, 
        DIVI4 => GND_1_net, 
        DIVI3 => GND_1_net, 
        DIVI2 => VCC_1_net, 
        DIVI1 => GND_1_net, 
        DIVI0 => GND_1_net, 
        DIVJ5 => GND_1_net, 
        DIVJ4 => GND_1_net, 
        DIVJ3 => GND_1_net, 
        DIVJ2 => GND_1_net, 
        DIVJ1 => GND_1_net, 
        DIVJ0 => GND_1_net, 
        DELAYLINE4 => GND_1_net, 
        DELAYLINE3 => GND_1_net, 
        DELAYLINE2 => GND_1_net, 
        DELAYLINE1 => VCC_1_net, 
        DELAYLINE0 => GND_1_net, 
        LOCK => LOCK, CLK1 => CLK1P, 
        CLK2 => OPEN );
end DEF_ARCH;
